diff options
author | Stefan Metzmacher <metze@samba.org> | 2005-06-11 17:55:58 +0000 |
---|---|---|
committer | Gerald (Jerry) Carter <jerry@samba.org> | 2007-10-10 13:17:59 -0500 |
commit | 39172de4dceb58884525a28d964e6c52f3d933e1 (patch) | |
tree | 37403c62f5301db75b0796857a67ff3752853783 | |
parent | 1104ca33378a9677faeca0c237b917b27e36d4e2 (diff) | |
download | samba-39172de4dceb58884525a28d964e6c52f3d933e1.tar.gz samba-39172de4dceb58884525a28d964e6c52f3d933e1.tar.bz2 samba-39172de4dceb58884525a28d964e6c52f3d933e1.zip |
r7492: give better output
metze
(This used to be commit 134f5defa0f1eb240207f593866ab75f20943938)
-rw-r--r-- | source4/script/tests/test_functions.sh | 12 |
1 files changed, 10 insertions, 2 deletions
diff --git a/source4/script/tests/test_functions.sh b/source4/script/tests/test_functions.sh index 7c61eda232..4996dba0cb 100644 --- a/source4/script/tests/test_functions.sh +++ b/source4/script/tests/test_functions.sh @@ -25,8 +25,16 @@ smbd_check_or_start() { if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then rm -f $SOCKET_WRAPPER_DIR/* fi - echo "smbd exists with status $ret"; - echo "smbd exists with status $ret" >>$SMBD_TEST_LOG; + if [ x"$ret" = x"0" ];then + echo "smbd exists with status $ret"; + echo "smbd exists with status $ret" >>$SMBD_TEST_LOG; + elif [ x"$ret" = x"137" ];then + echo "smbd got SIGXCPU and exists with status $ret!" + echo "smbd got SIGXCPU and exists with status $ret!">>$SMBD_TEST_LOG; + else + echo "smbd failed with status $ret!" + echo "smbd failed with status $ret!">>$SMBD_TEST_LOG; + fi exit $ret; ) || exit $? &) 2>/dev/null || exit $? echo "DONE" |